org.mariadb.jdbc.internal.common

## Class Options

- java.lang.Object
- - org.mariadb.jdbc.internal.common.Options

    public class Options
    extends Object

### Field Summary

Fields
`boolean` `allowLocalInfile`
`boolean` `allowMultiQueries`
`boolean` `assureReadOnly`
`boolean` `autoReconnect`
`boolean` `cachePrepStmts`
`Integer` `connectTimeout`
`boolean` `createDatabaseIfNotExist`
`boolean` `dumpQueriesOnException`
`boolean` `failOnReadOnly`
`int` `failoverLoopRetries`
`boolean` `interactiveClient`
`int` `loadBalanceBlacklistTimeout`
`String` `localSocket`
`String` `localSocketAddress`
`boolean` `maximizeMysqlCompatibility`
`boolean` `nullCatalogMeansCurrent`
`String` `password`
`boolean` `pinGlobalTxToPhysicalConnection`
`String` `pipe`
`Integer` `prepStmtCacheSize`
`Integer` `prepStmtCacheSqlLimit`
`int` `queriesBeforeRetryMaster`
`int` `retriesAllDown`
`boolean` `rewriteBatchedStatements`
`int` `secondsBeforeRetryMaster`
`String` `serverSslCert`
`String` `serverTimezone`
`String` `sessionVariables`
`String` `sharedMemory`
`String` `socketFactory`
`Integer` `socketTimeout`
`boolean` `tcpAbortiveClose`
`boolean` `tcpKeepAlive`
`boolean` `tcpNoDelay`
`Integer` `tcpRcvBuf`
`Integer` `tcpSndBuf`
`boolean` `tinyInt1isBit`
`boolean` `trustServerCertificate`
`boolean` `useCompression`
`boolean` `useFractionalSeconds`
`boolean` `useLegacyDatetimeCode`
`boolean` `useOldAliasMetadataBehavior`
`String` `user`
`boolean` `useSSL`
`int` `validConnectionTimeout`
`boolean` `yearIsDateType`

### Constructor Summary

Constructors
Constructor and Description
`Options()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### user

    public String user

#### password

    public String password

#### trustServerCertificate

    public boolean trustServerCertificate

#### serverSslCert

    public String serverSslCert

#### useFractionalSeconds

    public boolean useFractionalSeconds

#### pinGlobalTxToPhysicalConnection

    public boolean pinGlobalTxToPhysicalConnection

#### socketFactory

    public String socketFactory

#### connectTimeout

    public Integer connectTimeout

#### pipe

    public String pipe

#### localSocket

    public String localSocket

#### sharedMemory

    public String sharedMemory

#### tcpNoDelay

    public boolean tcpNoDelay

#### tcpKeepAlive

    public boolean tcpKeepAlive

#### tcpRcvBuf

    public Integer tcpRcvBuf

#### tcpSndBuf

    public Integer tcpSndBuf

#### tcpAbortiveClose

    public boolean tcpAbortiveClose

#### localSocketAddress

    public String localSocketAddress

#### socketTimeout

    public Integer socketTimeout

#### allowMultiQueries

    public boolean allowMultiQueries

#### rewriteBatchedStatements

    public boolean rewriteBatchedStatements

#### useCompression

    public boolean useCompression

#### interactiveClient

    public boolean interactiveClient

#### useSSL

    public boolean useSSL

#### sessionVariables

    public String sessionVariables

#### tinyInt1isBit

    public boolean tinyInt1isBit

#### yearIsDateType

    public boolean yearIsDateType

#### createDatabaseIfNotExist

    public boolean createDatabaseIfNotExist

#### serverTimezone

    public String serverTimezone

#### nullCatalogMeansCurrent

    public boolean nullCatalogMeansCurrent

#### dumpQueriesOnException

    public boolean dumpQueriesOnException

#### useOldAliasMetadataBehavior

    public boolean useOldAliasMetadataBehavior

#### allowLocalInfile

    public boolean allowLocalInfile

#### cachePrepStmts

    public boolean cachePrepStmts

#### prepStmtCacheSize

    public Integer prepStmtCacheSize

#### prepStmtCacheSqlLimit

    public Integer prepStmtCacheSqlLimit

#### useLegacyDatetimeCode

    public boolean useLegacyDatetimeCode

#### maximizeMysqlCompatibility

    public boolean maximizeMysqlCompatibility

#### assureReadOnly

    public boolean assureReadOnly

#### autoReconnect

    public boolean autoReconnect

#### failOnReadOnly

    public boolean failOnReadOnly

#### secondsBeforeRetryMaster

    public int secondsBeforeRetryMaster

#### queriesBeforeRetryMaster

    public int queriesBeforeRetryMaster

#### retriesAllDown

    public int retriesAllDown

#### validConnectionTimeout

    public int validConnectionTimeout

#### loadBalanceBlacklistTimeout

    public int loadBalanceBlacklistTimeout

#### failoverLoopRetries

    public int failoverLoopRetries

### Constructor Detail

#### Options

    public Options()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`